/* InfoFns.java

	Purpose:
		
	Description:
		
	History:
		Oct 14, 2010 4:23:06 PM, Created by ashish

Copyright (C) 2010 Potix Corporation. All Rights Reserved.

*/
package org.zkoss.zssex.formula.fn;

import org.zkoss.poi.ss.formula.eval.ValueEval;

/**
 * @author ashish
 *
 */
public class InfoFns {

	public InfoFns() {
		
	}
	
	public static final ValueEval iserr(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return InfoFunctionImpl.ISERR.evaluate(args, srcRowIndex, srcColumnIndex);
	}
	public static final ValueEval n(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return InfoFunctionImpl.N.evaluate(args, srcRowIndex, srcColumnIndex);
	}
	public static final ValueEval type(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return InfoFunctionImpl.TYPE.evaluate(args, srcRowIndex, srcColumnIndex);
	}
}
